11.2.0 development build 19 released

Daniel Drake dsd at laptop.org
Fri May 20 05:01:39 EDT 2011

On 19 May 2011 23:29, James Cameron <quozl at laptop.org> wrote:
> No, just put it in the release notes.
> I presume you used an old firmware version to do the fs-update.  Exactly
> which version did you use?  This is important to know.  For those
> updating from the latest stable 10.1.3 which has Q3A62, we expect no
> warning.  For those updating using a firmware version after Q3A62, and
> before Q3A65 or Q3B04, a warning may appear.

We also do a special trick in the signed building process to patch the
firmware so that the error doesn't appear when it otherwise would
have. This also applies for users using the 4-game-key flash method.
So the number of users seeing the strange error will be really

James, here's the magic code we insert in the zsp file, would you mind
checking if its still correct? I think you made some changes in this
area after Mitch suggested it.

[ifndef] #eblocks-written
: pdup  ( n -- n' )  dup  last-eblock# max  ;
also nand-commands  patch pdup dup zblock:  previous


More information about the Devel mailing list